Bug 582311 - Review and re-enable RepoSyncingTest test class
Review and re-enable RepoSyncingTest test class
Product: RHQ Project
Classification: Other
Component: Tests (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
Depends On:
Blocks: jon24-content jon-sprint10-bugs
  Show dependency treegraph
Reported: 2010-04-14 11:44 EDT by Jay Shaughnessy
Modified: 2014-05-27 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-27 21:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2010-04-14 11:44:39 EDT
We need a test class, I think, that tests repo syncing.

This test class seems to have issues, all of the tests but one were already disabled.  The one active test, testCancelSync, has now been disabled as well (by me) because it was causing the master-ora hudson run to hang.  

It may not be the test itself, it may be valid, not sure, but rather the setup/cleanup logic.  That logic needs to be reviewed to insure tests can properly clean up, as there were definitely cleanup errors.

As such, this class can not run *any* tests until that logic is solid.
Comment 1 Ian Springer 2010-04-29 10:21:28 EDT
I'm not sure what this test does exactly, but at some point, we should add a test that does the following:

1) create a content source and repo for the CSP and sync them
2) verify that valid packages were created for all expected CPs (EAP 4.2. CP1, EAP 4.2 CP2, etc.) 
3) for each package, check that all its metadata is correct (associated resource type, etc.)
Comment 2 Charles Crouch 2010-05-18 12:06:50 EDT
Potentially related to upgrade problems...

(9:56:51 AM) pilhuhn: http://hudson-qe.rhq.rdu.redhat.com:8080/job/dbupgrade/23/ seems to hang for 5 days now
(10:25:11 AM) joseph: pilhuhn: might be related to https://bugzilla.redhat.com/show_bug.cgi?id=588700 
(10:27:57 AM) pilhuhn: ERROR 12-05 16:37:50,104 (JDBCExceptionReporter.java:logExceptions:78)  -ERROR: integer out of range
(10:29:47 AM) joseph: pilhuhn: that's a dbupgrade error message?
(10:30:06 AM) pilhuhn: ACtually console output from http://hudson-qe.rhq.rdu.redhat.com:8080/job/dbupgrade/23/console
(10:30:44 AM) pilhuhn: ERROR 12-05 16:37:50,103 (JDBCExceptionReporter.java:logExceptions:78)  -Batch entry 0 insert into RHQ_REPO_SYNC (REPO_ID, STATUS, START_TIME, END_TIME, RESULTS, PERCENT_COMPLETE, ID) values ('10067', 'INPROGRESS', '1273696670099', NULL, 'Wed May 12 16:37:50 EDT 2010: Start synchronization of Repository [testRepoImportedExisting]
(10:30:44 AM) pilhuhn: Wed May 12 16:37:50 EDT 2010: Getting currently known list of content source packages...
(10:30:44 AM) pilhuhn: ', NULL, '10005')
Comment 3 Corey Welton 2010-09-21 11:05:21 EDT
Triaged 16-Sep

Note You need to log in before you can comment on or make changes to this bug.